Bug 730129 - Logrotate script for mumble server uses non-existent command.
Summary: Logrotate script for mumble server uses non-existent command.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mumble
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 20:39 UTC by Mike Lilley
Modified: 2012-06-24 22:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-19 15:02:32 UTC


Attachments (Terms of Use)

Description Mike Lilley 2011-08-11 20:39:26 UTC
Description of problem:
The logrotate script /etc/logrotate.d/murmur uses start-stop-daemon in its postrotate script, a command not provided in Fedora.  This causes the logrotate script to send email to the user with the contents:

---------------------
/etc/cron.daily/logrotate:

logrotate_script: line 1: start-stop-daemon: command not found
error: error running non-shared postrotate script for /var/log/mumble-server/mumble-server.log of '/var/log/mumble-server/mumble-server.log '
----------------------

Version-Release number of selected component (if applicable):
1.2.3-3.fc15

How reproducible:
Always

Steps to Reproduce:
1.  Install mumble server.
2.  Start and leave mumble server running.
3.  Examine email received after weekly logrotate.
  
Actual results:
Email warning of missing command.

Expected results:
No such email.

Additional info:

Comment 1 Mike Lilley 2012-03-14 13:45:44 UTC
Just wondering if there are any plans to fix this bug?

I've changed my logrotate script to simply read "service murmur restart" instead of the start-stop-daemon line, and it seems to work fine.  However, I got involved with an SELinux bug involving logrotate and murmur, so I thought I'd see if this was gonna get fixed.

Comment 2 Christian Krause 2012-05-28 23:13:20 UTC
(In reply to comment #1)
> Just wondering if there are any plans to fix this bug?

I will fix this in the next update of mumble/murmur.
 
> I've changed my logrotate script to simply read "service murmur restart"
> instead of the start-stop-daemon line, and it seems to work fine.  However,
> I got involved with an SELinux bug involving logrotate and murmur, so I
> thought I'd see if this was gonna get fixed.

There is no need to restart murmur entirely and indeed the existing script using the start-stop-daemon just sent a SIGHUP to the daemon.

I will use the following scriptlet:

/bin/kill -HUP `cat /var/run/mumble-server/mumble-server.pid 2>/dev/null`  2> /dev/null || true

Comment 3 Fedora Update System 2012-06-04 20:42:28 UTC
mumble-1.2.3-7.fc17.1 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mumble-1.2.3-7.fc17.1

Comment 4 Fedora Update System 2012-06-04 20:45:58 UTC
mumble-1.2.3-5.fc16.1 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mumble-1.2.3-5.fc16.1

Comment 5 Fedora Update System 2012-06-04 21:08:22 UTC
mumble-1.2.3-4.fc15.1 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mumble-1.2.3-4.fc15.1

Comment 6 Fedora Update System 2012-06-07 02:46:05 UTC
Package mumble-1.2.3-4.fc15.1:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mumble-1.2.3-4.fc15.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8960/mumble-1.2.3-4.fc15.1
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-06-19 14:59:48 UTC
mumble-1.2.3-5.fc16.1 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-06-19 15:02:32 UTC
mumble-1.2.3-4.fc15.1 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-06-19 15:09:20 UTC
mumble-1.2.3-7.fc17.1 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Mike Lilley 2012-06-24 22:03:35 UTC
(In reply to comment #2)
> (In reply to comment #1)
> I will fix this in the next update of mumble/murmur.

Thanks, Christian!


Note You need to log in before you can comment on or make changes to this bug.